Options (Jasper Internal API Documentation)
Keywords: org.apache.jasper.Options interface

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper
Interface Options

All Known Implementing Classes:
  EmbeddedServletOptions, JspC

public interface Options

A class to hold all init parameters specific to the JSP engine.

Author:
  Anil K. Vijendran, Hans Bergsten, Pierre Delisle

Method Summary
`boolean` | `genStringAsCharArray()` Are Text strings to be generated as char arrays?
`int` | `getCheckInterval()` Background compile thread check interval in seconds
`boolean` | `getClassDebugInfo()` Should we include debug information in compiled class?
`java.lang.String` | `getClassPath()` What classpath should I use while compiling the servlets generated from JSP files?
`java.lang.String` | `getCompiler()` Compiler to use.
`boolean` | `getDevelopment()` Is Jasper being used in development mode?
`boolean` | `getFork()` boolean flag to tell Ant whether to fork JSP page compilations.
`java.lang.String` | `getIeClassId()` Class ID for use in the plugin tag when the browser is IE.
`java.lang.String` | `getJavaEncoding()` Java platform encoding to generate the JSP page servlet.
`JspConfig` | `getJspConfig()` Obtain JSP configuration informantion specified in web.xml.
`boolean` | `getKeepGenerated()` Are we keeping generated code around?
`boolean` | `getMappedFile()` Are we supporting HTML mapped servlets?
`boolean` | `getReloading()` JSP reloading check ?
`java.io.File` | `getScratchDir()` What is my scratch dir?
`boolean` | `getSendErrorToClient()` Should errors be sent to client or thrown into stderr?
`TagPluginManager` | `getTagPluginManager()` Obtain a Tag Plugin Manager
`TldLocationsCache` | `getTldLocationsCache()` The cache for the location of the TLD's for the various tag libraries 'exposed' by the web application.
`boolean` | `getTrimSpaces()` Should white spaces between directives or actions be trimmed?
`boolean` | `isPoolingEnabled()` Returns true if tag handler pooling is enabled, false otherwise.
`boolean` | `isSmapDumped()` Should SMAP info for JSR45 debugging be dumped to a file?
`boolean` | `isSmapSuppressed()` Is the generation of SMAP info for JSR45 debugging suppressed?
`boolean` | `isXpoweredBy()` Is generation of X-Powered-By response header enabled/disabled?

Method Detail

### getKeepGenerated

    public boolean getKeepGenerated()

  Are we keeping generated code around?

### isPoolingEnabled

    public boolean isPoolingEnabled()

  Returns true if tag handler pooling is enabled, false otherwise.

### getMappedFile

    public boolean getMappedFile()

  Are we supporting HTML mapped servlets?

### getSendErrorToClient

    public boolean getSendErrorToClient()

  Should errors be sent to client or thrown into stderr?

### getClassDebugInfo

    public boolean getClassDebugInfo()

  Should we include debug information in compiled class?

### getCheckInterval

    public int getCheckInterval()

  Background compile thread check interval in seconds

### getDevelopment

    public boolean getDevelopment()

  Is Jasper being used in development mode?

### getReloading

    public boolean getReloading()

  JSP reloading check ?

### isSmapSuppressed

    public boolean isSmapSuppressed()

  Is the generation of SMAP info for JSR45 debugging suppressed?

### isSmapDumped

    public boolean isSmapDumped()

  Should SMAP info for JSR45 debugging be dumped to a file? Ignored is suppressSmap() is true

### getTrimSpaces

    public boolean getTrimSpaces()

  Should white spaces between directives or actions be trimmed?

### getIeClassId

    public java.lang.String getIeClassId()

  Class ID for use in the plugin tag when the browser is IE.

### getScratchDir

    public java.io.File getScratchDir()

  What is my scratch dir?

### getClassPath

    public java.lang.String getClassPath()

  What classpath should I use while compiling the servlets generated from JSP files?

### getCompiler

    public java.lang.String getCompiler()

  Compiler to use.

### getTldLocationsCache

    public TldLocationsCache getTldLocationsCache()

  The cache for the location of the TLD's for the various tag libraries 'exposed' by the web application. A tag library is 'exposed' either explicitely in web.xml or implicitely via the uri tag in the TLD of a taglib deployed in a jar file (WEB-INF/lib).

  Returns:
    the instance of the TldLocationsCache for the web-application.

### getJavaEncoding

    public java.lang.String getJavaEncoding()

  Java platform encoding to generate the JSP page servlet.

### getFork

    public boolean getFork()

  boolean flag to tell Ant whether to fork JSP page compilations.

### getJspConfig

    public JspConfig getJspConfig()

  Obtain JSP configuration informantion specified in web.xml.

### isXpoweredBy

    public boolean isXpoweredBy()

  Is generation of X-Powered-By response header enabled/disabled?

### getTagPluginManager

    public TagPluginManager getTagPluginManager()

  Obtain a Tag Plugin Manager

### genStringAsCharArray

    public boolean genStringAsCharArray()

  Are Text strings to be generated as char arrays?

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.